# Class IntrospectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.OperationsException
javax.management.IntrospectionException

All Implemented Interfaces:
  `Serializable`

public class IntrospectionException extends OperationsException
An exception occurred during the introspection of an MBean.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IntrospectionException()`
Default constructor.
`IntrospectionException(String message)`
Constructor that allows a specific error message to be specified.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IntrospectionException

public IntrospectionException()
Default constructor.

### IntrospectionException

public IntrospectionException(String message)
Constructor that allows a specific error message to be specified.

Parameters:
  `message` - the detail message.